zenilib: bdf_font_t_ Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
bdf_font_t_ Struct Reference

`#include <bdf.h>`

## Public Attributes

bdf_bbx_t | bbx
unsigned short | bpp
char * | comments
unsigned long | comments_len
long | default_char
long | font_ascent
long | font_descent
bdf_glyph_t * | glyphs
unsigned long | glyphs_size
unsigned long | glyphs_used
void * | internal
FT_Memory | memory
unsigned short | modified
unsigned short | monowidth
char * | name
unsigned long | nmod [34816]
unsigned long | nuser_props
bdf_glyphlist_t | overflow
long | point_size
bdf_property_t * | props
unsigned long | props_size
unsigned long | props_used
hashtable | proptbl
unsigned long | resolution_x
unsigned long | resolution_y
int | spacing
unsigned long | umod [34816]
bdf_glyph_t * | unencoded
unsigned long | unencoded_size
unsigned long | unencoded_used
bdf_property_t * | user_props

## Detailed Description

Definition at line 192 of file bdf.h.

## Member Data Documentation

bdf_bbx_t bdf_font_t_::bbx

Definition at line 195 of file bdf.h.

Referenced by BDF_Glyph_Load(), and BDF_Size_Select().

unsigned short bdf_font_t_::bpp

Definition at line 235 of file bdf.h.

Referenced by BDF_Glyph_Load().

char* bdf_font_t_::comments

Definition at line 222 of file bdf.h.

Referenced by _bdf_add_comment().

unsigned long bdf_font_t_::comments_len

Definition at line 223 of file bdf.h.

Referenced by _bdf_add_comment().

long bdf_font_t_::default_char

Definition at line 205 of file bdf.h.

Referenced by _bdf_add_property(), and BDF_Face_Init().

long bdf_font_t_::font_ascent

Definition at line 207 of file bdf.h.

Referenced by _bdf_add_property(), BDF_Face_Init(), BDF_Size_Request(), and BDF_Size_Select().

long bdf_font_t_::font_descent

Definition at line 208 of file bdf.h.

Referenced by _bdf_add_property(), BDF_Face_Init(), BDF_Size_Request(), and BDF_Size_Select().

bdf_glyph_t* bdf_font_t_::glyphs

Definition at line 212 of file bdf.h.

Referenced by _bdf_parse_glyphs(), BDF_Face_Init(), and BDF_Glyph_Load().

unsigned long bdf_font_t_::glyphs_size

Definition at line 210 of file bdf.h.

Referenced by _bdf_parse_glyphs(), and BDF_Face_Init().

unsigned long bdf_font_t_::glyphs_used

Definition at line 211 of file bdf.h.

Referenced by _bdf_parse_glyphs(), bdf_cmap_init(), and BDF_Face_Init().

void* bdf_font_t_::internal

Definition at line 227 of file bdf.h.

Referenced by _bdf_add_property().

FT_Memory bdf_font_t_::memory

Definition at line 237 of file bdf.h.

Referenced by _bdf_add_comment(), _bdf_add_property(), _bdf_parse_glyphs(), _bdf_parse_start(), _bdf_set_default_spacing(), and bdf_create_property().

unsigned short bdf_font_t_::modified

Definition at line 234 of file bdf.h.

Referenced by _bdf_parse_glyphs().

unsigned short bdf_font_t_::monowidth

Definition at line 203 of file bdf.h.

char* bdf_font_t_::name

Definition at line 194 of file bdf.h.

Referenced by _bdf_set_default_spacing().

unsigned long bdf_font_t_::nmod[34816]

Definition at line 231 of file bdf.h.

Referenced by _bdf_parse_glyphs().

unsigned long bdf_font_t_::nuser_props

Definition at line 240 of file bdf.h.

Referenced by bdf_create_property().

bdf_glyphlist_t bdf_font_t_::overflow

Definition at line 225 of file bdf.h.

long bdf_font_t_::point_size

Definition at line 197 of file bdf.h.

Referenced by _bdf_parse_glyphs().

bdf_property_t* bdf_font_t_::props

Definition at line 220 of file bdf.h.

Referenced by _bdf_add_property().

unsigned long bdf_font_t_::props_size

Definition at line 218 of file bdf.h.

Referenced by _bdf_add_property().

unsigned long bdf_font_t_::props_used

Definition at line 219 of file bdf.h.

Referenced by _bdf_add_property().

hashtable bdf_font_t_::proptbl

Definition at line 241 of file bdf.h.

Referenced by _bdf_add_property(), _bdf_parse_start(), and bdf_create_property().

unsigned long bdf_font_t_::resolution_x

Definition at line 198 of file bdf.h.

Referenced by _bdf_parse_glyphs().

unsigned long bdf_font_t_::resolution_y

Definition at line 199 of file bdf.h.

int bdf_font_t_::spacing

Definition at line 201 of file bdf.h.

Referenced by _bdf_add_property(), and _bdf_set_default_spacing().

unsigned long bdf_font_t_::umod[34816]

Definition at line 232 of file bdf.h.

Referenced by _bdf_parse_glyphs().

bdf_glyph_t* bdf_font_t_::unencoded

Definition at line 216 of file bdf.h.

Referenced by _bdf_parse_glyphs().

unsigned long bdf_font_t_::unencoded_size

Definition at line 214 of file bdf.h.

Referenced by _bdf_parse_glyphs(), and BDF_Face_Init().

unsigned long bdf_font_t_::unencoded_used

Definition at line 215 of file bdf.h.

Referenced by _bdf_parse_glyphs(), and BDF_Face_Init().

bdf_property_t* bdf_font_t_::user_props

Definition at line 239 of file bdf.h.

Referenced by _bdf_add_property(), and bdf_create_property().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/freetype2/src/bdf/bdf.h